QTLtools-fdensity(1)

NAME
QTLtools fdensity - Functional density around molecular QTLs

SYNOPSIS
QTLtools fdensity --qtl significant_genes.bed --bed TFs.encode.bed.gz --out output.txt [OPTIONS]

DESCRIPTION
This mode measures the density of functional annotations around the genomic positions of molecular QTLs. The method is detailed in <https://www.nature.com/articles/ncomms15452>. In brief, we first enumerate all annotations within a given window around the molecular QTLs (by default 1 Mb). Then, we split this window into small bins (default 1 kb) and count the number of functional annotations overlapping each bin. This produces an annotation count per bin that can be then plotted to see if there is any peak or depletion around the molQTLs.

OPTIONS

--qtl in.bed
    List of QTLs of interest in BED format. REQUIRED.

--bed functional_annotation.bed.gz
    Functional annotations in BED format. REQUIRED.

--out output.txt
    Output file. REQUIRED.

--window integer
    Window size around the molecular QTL position. DEFAULT=1000000

--bin integer
    Bin size in base pairs. DEFAULT=1000

INPUT FILES

--qtl file
    List of QTLs of interest. An example:

    1    15210    15211    1_15211    ENSG00000227232.4    -

    1    735984    735985    1_735985    ENSG00000177757.1    +

    1    735984    735985    1_735985    ENSG00000240453.1    -

    1    739527    739528    1_739528    ENSG00000237491.4    +

    The column definitions are:
    1 | The variant chromosome
    2 | The variant's start position (0-based)
    3 | The variant's end position (1-based)
    4 | The variant ID
    5 | The phenotype ID (not used)
    6 | The phenotype's strand.

--bed file
    List of annotations in BED format. An example:

    1    254874    265487

    1    730984    735985

    1    734984    736585

    1    739527    748528

    The column definitions are:
    1 | Chromosome
    2 | Start position (0-based)
    3 | End position (1-based)

OUTPUT FILE

--out file
    Space separated results output file detailing the enrichment with the following columns:
    1 | The start position of the bin
    2 | The end position of the bin
    3 | The number of associations in this bin

EXAMPLE

1   You need to prepare a BED file containing the positions of the QTLs of interest. To do so, extract all significant hits at a given FDR threshold (e.g. 5%), and then transform the significant QTL list into a BED file:

    Rscript ./script/qtltools_runFDR_cis.R results.genes.full.txt.gz 0.05 results.genes

    cat results.genes.significant.txt | awk '{ print $9, $10-1, $11, $8, $1, $5 }' | tr ' ' '\t' | sort -k1,1V -k2,2g > results.genes.significant.bed

2   Measure the density using the following command:

    QTLtools fdensity --qtl results.genes.significant.bed --bed TFs.encode.bed.gz --out density.TF.around.QTL.txt

SEE ALSO
QTLtools(1)

QTLtools website: <https://qtltools.github.io/qtltools>

BUGS
Please submit bugs to <https://github.com/qtltools/qtltools>

CITATION
Delaneau, O., Ongen, H., Brown, A. et al. A complete tool set for molecular QTL discovery and analysis. Nat Commun 8, 15452 (2017). <https://doi.org/10.1038/ncomms15452>

AUTHORS
Olivier Delaneau (olivier.delaneau@gmail.com), Halit Ongen (halitongen@gmail.com)